Docs
Get Surfaces
GET /surfaces
GET
/surfacesReturns all surfaces for the event, the physical or virtual display locations (screens, stages and so on) that content can be scheduled onto, with the content currently scheduled on each. Use ContentManagement_GetSurfaceById for one surface with its description. Requires the Event Content Management Admin permission.
Response
Type: GetSurfacesResponse[]
GetSurfacesResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| area | GetSurfacesResponseAreaMin | |
| exactLocation | string| null | |
| rasterMap | GetSurfacesResponseRasterMapMin | |
| contentBlocks | GetSurfacesResponseContentBlock[]| null |
GetSurfacesResponseAreaMin
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null |
GetSurfacesResponseRasterMapMin
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| status | string| null |
GetSurfacesResponseContentBlock
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| content | GetSurfacesResponseContentBlockContentMin | |
| startTime | date-time| null | |
| endTime | date-time| null |
GetSurfacesResponseContentBlockContentMin
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null |